---
title: "CDR"
slug: "cdr"
updated: 2024-10-25T11:02:05Z
published: 2024-10-25T11:02:05Z
canonical: "docs.voiso.com/cdr"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiso.com/llms.txt
> Use this file to discover all available pages before exploring further.
# CDR
Get/api/v2/cdr
The Voiso CDR API enables you to query call detail records from your account using various query parameters.
Query parameterskeystringRequired
The [API key of a specific user](https://developers.voiso.com/#/rest/getting-started/authentication#how-to-obtain-the-user_api_key).
Exampleuser_api_key
search_tokenstringRequired
Parameter should be used to query more then 10000 records.
Exampledkeouof13kjhk4HHH59
pageinteger (int32)
Indicates the current page number
Default1Example1
per_pageinteger (int32)
Number of records per page
Minimum1Maximum10000Default1000Example20
start_datestring
Include only record on or after this date. Must be in the 'YYYY-MM-DD' format (ISO 8601).
Example2020-04-01
end_datestring
Include only record on or before this date. Must be in the 'YYYY-MM-DD' format (ISO 8601).
Example2020-05-01
clistring
The call line identity (CLI) calling number. A 'starting with' search of the ANI/From field.
Example197
numberstring
The called number. A 'starting with' search of the DNIS/To field.
Example187
wildcard_clistring
The call line identity (CLI) calling number. An 'includes' search of the ANI/From field.
Example971231
wildcard_numberstring
The called number. An 'includes' search of the DNIS/To field.
Example7751
type
Direction and type of the interaction
Valid values[
"inbound",
"outbound",
"dialer",
"click_to_call",
"outbound_sms",
"whatsapp",
"facebook",
"instagram",
"telegram",
"web_chat",
"HLR_lookup",
"queue_callback"
]
disposition
Retrieved call outcome
Valid values[
"answered",
"failed",
"busy",
"no_answer",
"rejected",
"abandoned",
"missed",
"dialer_abandoned",
"system_abandoned",
"answered_by_VM",
"system_reject",
"machine_answered",
"sent",
"not_sent",
"route_unavailable",
"delivered",
"not_delivered",
"waiting",
"active",
"archived"
]
queue_idsstring
Single or multiple queue IDs, separated by commas. These can be obtained with the `/api/v2/cdr/queues` method
Example199, 201
agent_idsstring
Single or multiple agent IDs, separated by commas. These can be obtained with the `/api/v2/cdr/agents` method
Example1,2,3
team_idsstring
Single or multiple agent team IDs, separated by commas. These can be obtained with the `/api/v2/cdr/teams` method
Example3,4
wrapup_codesstring
Single or multiple wrap-up code IDs, separated by commas. These can be obtained with the `/api/v2/cdr/wrapup_codes` method
Example0001, 1002
event
Standard call events
Valid values[
"monitor",
"whisper",
"barge-in",
"intercept",
"terminate",
"consult_transfer",
"blind_transfer",
"all_transfers"
]
end_reason
Standard call end reasons
Valid values[
"manager",
"customer",
"agent",
"remote_party",
"system_reject",
"machine_disconnect"
]
campaign_idsstring
Single or multiple campaign IDs, separated by commas. These can be obtained with the `/api/dialer/v1/campaigns` method
Example15, 13, 22
duration_frominteger (int32)
Calls which have a duration longer than the specified value (in seconds)
Example1
duration_tointeger (int32)
Calls which have a duration shorter than the specified value (in seconds)
Example10
dialing_time_frominteger (int32)
Calls which have a dialing time longer than the specified value (in seconds)
Example1
dialing_time_tointeger (int32)
Calls which have a dialing time shorter than the specified value (in seconds)
Example10
talk_time_frominteger (int32)
Calls which have a talk time longer than the specified value (in seconds)
Example1
talk_time_tointeger (int32)
Calls which have a talk time shorter than the specified value (in seconds)
Example10
hold_time_frominteger (int32)
Calls which have a hold time longer than the specified value (in seconds)
Example1
hold_time_tointeger (int32)
Calls which have a hold time shorter than the specified value (in seconds)
Example10
ivr_time_frominteger (int32)
Calls which have a pre-queue (IVR) time longer than the specified value (in seconds)
Example1
ivr_time_tointeger (int32)
Calls which have a pre-queue (IVR) shorter than the specified value (in seconds)
Example10
queue_time_frominteger (int32)
Calls which have a queue time longer than the specified value (in seconds)
Example1
queue_time_tointeger (int32)
Calls which have a queue time shorter than the specified value (in seconds)
Example10
deleted_agent_idsstring
Single or multiple deleted (archived) agent IDs, separated by commas. These can be obtained with the `/api/v2/cdr/deleted_agents` method
Example15, 16, 17
first_seen
Set to true to get only new numbers that have never been dialed before
Valid values[
"true",
"false"
]
lead_sourcestring
Calls with a specified lead source type (available only for dialer campaigns with a specified lead source)
ExampleGoogle ADS
start_datetimestring
Must be in this format: 'YYYY-MM-DD'T'HH:MM:SS'.
Example2022-08-19T02:56:02
end_datetimestring
Must be in this format: 'YYYY-MM-DD'T'HH:MM:SS'.
Example2022-08-19T02:56:02
uuidstring
UUID of the call
Examplea6c74840-574b-4e6e-baad-6b69bc38ccfc
related_call_uuidstring
UUID of the parent call if the callback was requested from the queue.
Example8d1371d2-e166-4677-b158-b1782ddd412d
destination_namestring
The name of destination country. Valid for outbound calls only.
ExampleGermany - Other
Responses200
Success
example1
Calls 1
Call records array requested with page based pagination.
```json
{
"page": 1,
"total": 5032,
"records": [
{
"agent": "Agent 1",
"from": "12345678912",
"disposition": "rejected",
"duration": "2024-10-24T12:00:00Z",
"queue_name": "string",
"to": "5001",
"timestamp": "2020-04-20T09:38:33Z",
"uuid": "a619cccc-b832-4896-9be4-3ff12c3a6770",
"wrapup_code": "123",
"type": "outbound",
"agent_id": 1,
"cpc": 0.0053
}
]
}
```
example2
Calls 2
Call records array requested with search_token based pagination.
```json
{
"total": 54032,
"page": 1,
"search_token": "WzE2NjkwMTcyNDkwMTUsImNkcl9p",
"records": [
{
"agent": "Agent 2",
"from": "12345678912",
"disposition": "rejected",
"duration": "2024-10-24T12:00:00Z",
"queue_name": "string",
"to": "5001",
"timestamp": "2020-04-20T09:38:33Z",
"uuid": "a619cccc-b832-4896-9be4-3ff12c3a6770",
"wrapup_code": "123",
"type": "outbound",
"agent_id": 1,
"cpc": 0.0053
}
]
}
```
example3
SMS
SMS records array.
```json
{
"page": 1,
"total": 1023,
"records": [
{
"agent": "Agent 3",
"disposition": "delivered",
"timestamp": "2021-10-28T12:09:39Z",
"uuid": "c9f1c9c1-0e30-498e-b67d-2a56f4340f99",
"type": "outbound_sms",
"agent_id": 1,
"sid": "442034045134",
"to": "5001",
"cpc": 0.0161,
"text": "Hi!",
"related_call": "a619cccc-b832-4896-9be4-3ff12c3a6770",
"template": null
}
]
}
```
example4
Telegram
Telegram records array.
```json
{
"total": 54032,
"page": 1,
"search_token": "WzE2NjkwMTcyNDkwMTUsImNkcl9p",
"records": [
{
"agent": "Aleks Folk - Sales",
"disposition": "archived",
"duration": "2024-10-24T12:30:50Z",
"timestamp": "2022-12-15T02:56:56Z",
"uuid": "77182ede-8628-41b4-bf42-274cf7004e6c",
"type": "telegram",
"agent_id": 39322,
"queue": "TG Queue",
"from": "Alex Von",
"to": "Alex F TG channel",
"wrapup_code": "0000",
"cpc": 0.06,
"sla": {
"time_to_first_response": "2024-10-24T12:00:42Z",
"time_to_resolution": "2024-10-24T12:00:53Z",
"time_to_reply": "2024-10-24T12:00:24Z"
}
}
]
}
```
Example{
"page": 1,
"total": 5032,
"records": [
{
"agent": "Agent 1",
"from": "12345678912",
"disposition": "rejected",
"duration": "2024-10-24T12:00:00Z",
"queue_name": "string",
"to": "5001",
"timestamp": "2020-04-20T09:38:33Z",
"uuid": "a619cccc-b832-4896-9be4-3ff12c3a6770",
"wrapup_code": "123",
"type": "outbound",
"agent_id": 1,
"cpc": 0.0053
}
]
}
400
Invalid query parameters
example1
Key
Invalid or nonexistent User API Key
```json
{
"error": "Invalid User API Key"
}
```
example2
Query
Invalid or nonexistent search query
```json
{
"error": "Invalid CDR search query"
}
```
Example{
"error": "Invalid User API Key"
}